# Copyright (C) 2013-2018, Hiroshi Izumi (izumi.h@aist.go.jp)
# This code is part of the Biopython distribution and governed by its
# license.  Please see the LICENSE file that should have been included
# as part of this package.

import os
from difflib import *

os.chdir('C:\\SSSCview')
fc = open('ssc_to_seq.txt', 'w')
fc.write('')
fc.close()

fc = open('ssc_to_seq_pre.txt', 'w')
fc.write('')
fc.close()

flist1 = os.listdir('C:\\SSSCview\ssc_to_seq')

os.chdir('C:\\SSSCview')
fb = open('mafft.txt', 'r')
datab1 = fb.readlines()
fb.close()

for i, ele in enumerate(datab1):
    try:
        datab1[i+1]
        if ">" in ele:
            fd = open('ssc_to_seq_pre.txt', 'a')
            fd.write(ele)
            fd.close()
        elif ">" in datab1[i+1]:
            fd = open('ssc_to_seq_pre.txt', 'a')
            fd.write(ele)
            fd.close()
        else:
            ele_s = ele.strip('\n')
            fd = open('ssc_to_seq_pre.txt', 'a')
            fd.write(ele_s)
            fd.close()
    except:
        fd = open('ssc_to_seq_pre.txt', 'a')
        fd.write(ele)
        fd.close()     
        
fa = open('ssc_to_seq_pre.txt', 'r')
dataa1 = fa.readlines()
fa.close()        
        
for i, ele in enumerate(dataa1):
    if ">" in ele:
        os.chdir('C:\\SSSCview')
        fd = open('ssc_to_seq.txt', 'a')
        fd.write(ele)
        fd.close()
        ele_s1 = ele.strip('>')
        ele_s2 = ele_s1.strip(' \n')
        ele_s3 = dataa1[i+1].strip(' \n')
        ssc1 = list(ele_s3)
        #print ssc1

        os.chdir('C:\\SSSCview\ssc_to_seq')
        fname1 = "%s.txt" % (str(ele_s2))
        fa = open(str(fname1), 'r')
        dataa2 = fa.readlines()
        fa.close()
        seq2 = list(dataa2[1])
        ssc2 = list(dataa2[2])
        #print ssc2
        
        os.chdir('C:\\SSSCview')
        fd = open('ssc_to_seq.txt', 'a')
        fd.write('')
        seq_align = ""
        k = 0
        for j, ssc_align in enumerate(ssc1):
            if ssc_align == '-':
                fd.write('-')
            elif ssc_align == ssc2[k]:
                fd.write(seq2[k])
                k = k + 1
            else:
                continue
            
        fd.write('\n')
        fd.close()
    else:
        continue
        
os.chdir('C:\\SSSCview')        
os.remove('ssc_to_seq_pre.txt')
